Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXrandr runtime library
Name: 		libXrandr
Version: 	1.3.1
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
# xrandr.pc Requires: xproto randrproto >= 1.1
BuildRequires: 	xorg-x11-proto-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel

%description
X.Org X11 libXrandr runtime library

%package devel
Summary: 	X.Org X11 libXrandr development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# xrandr.pc Requires: xproto randrproto >= 1.1
Requires: 	xorg-x11-proto-devel

%description devel
X.Org X11 libXrandr development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libXrandr.so.2
%{_libdir}/libXrandr.so.2.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/extensions/Xrandr.h
%if %{with_static}
%{_libdir}/libXrandr.a
%endif
%{_libdir}/libXrandr.so
%{_libdir}/pkgconfig/xrandr.pc
%{_mandir}/man3/XRRConfigCurrentConfiguration.3.gz
%{_mandir}/man3/XRRConfigCurrentRate.3.gz
%{_mandir}/man3/XRRConfigRates.3.gz
%{_mandir}/man3/XRRConfigRotations.3.gz
%{_mandir}/man3/XRRConfigSizes.3.gz
%{_mandir}/man3/XRRConfigTimes.3.gz
%{_mandir}/man3/XRRFreeScreenConfigInfo.3.gz
%{_mandir}/man3/XRRGetScreenInfo.3.gz
%{_mandir}/man3/XRRQueryExtension.3.gz
%{_mandir}/man3/XRRQueryVersion.3.gz
%{_mandir}/man3/XRRRootToScreen.3.gz
%{_mandir}/man3/XRRSelectInput.3.gz
%{_mandir}/man3/XRRSetScreenConfig.3.gz
%{_mandir}/man3/XRRSetScreenConfigAndRate.3.gz
%{_mandir}/man3/Xrandr.3.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-4
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-3
- rebuilt
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-2
- rebuilt
* Tue Mar 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version update
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.99.4-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.2.3-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.1-1
- Initial release
